Package org.kie.internal.task.query

## Interface AuditTaskQueryBuilder

- All Superinterfaces:
    `ExtendedParametrizedQueryBuilder<AuditTaskQueryBuilder,​AuditTask>`, `ParametrizedQueryBuilder<AuditTaskQueryBuilder>`, `ProcessInstanceIdQueryBuilder<AuditTaskQueryBuilder,​AuditTask>`, `TaskAuditQueryBuilder<AuditTaskQueryBuilder,​AuditTask>`

      public interface AuditTaskQueryBuilder
      extends TaskAuditQueryBuilder<AuditTaskQueryBuilder,​AuditTask>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `AuditTaskQueryBuilder.OrderBy` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuditTaskQueryBuilder` | `activationTime​(Date... activationTime)` | Specify one or more dates to use as a criteria for the activation time of the task as logged in the task event
    `AuditTaskQueryBuilder` | `activationTimeRange​(Date activationTimeMin, Date activationTimeMax)` | Specify an inclusive range of (task) activation-time dates to use as a criteria
    `AuditTaskQueryBuilder` | `actualOwner​(String... actualOwnerUserId)` | Specify one or more user ids to use as a criteria for the actual owner of the task as logged in the task event
    `AuditTaskQueryBuilder` | `ascending​(AuditTaskQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in ascending order.
    `AuditTaskQueryBuilder` | `createdBy​(String... createdByUserId)` | Specify one or more user ids to use as a criteria for the creator of the task as logged in the task event
    `AuditTaskQueryBuilder` | `createdOn​(Date... createdOn)` | Specify one or more dates to use as a criteria for the created-on date of a task as logged in the task event
    `AuditTaskQueryBuilder` | `createdOnRange​(Date createdOnMin, Date createdOnMax)` | Specify an inclusive range of created-on dates to use as a criteria
    `AuditTaskQueryBuilder` | `deploymentId​(String... deploymentId)` | Specify one or more deployment ids to use as a criteria
    `AuditTaskQueryBuilder` | `descending​(AuditTaskQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in descending order.
    `AuditTaskQueryBuilder` | `description​(String... description)` | Specify one or more task description to use as a criteria.
    `AuditTaskQueryBuilder` | `dueDate​(Date... dueDate)` | Specify one or more (task) due dates to use as a criteria for the activation time of the task as logged in the task event
    `AuditTaskQueryBuilder` | `dueDateRange​(Date dueDateMin, Date dueDateMax)` | Specify an inclusive range of (task) due dates to use as a criteria
    `AuditTaskQueryBuilder` | `priority​(int... priority)` | Specify one or more (task) priorities to use as a criteria.
    `AuditTaskQueryBuilder` | `processId​(String... processId)` | Specify one or more process (definition) id's as criteria in the query
    `AuditTaskQueryBuilder` | `processSessionId​(long... processSessionId)` | Specify one or more process session ids associated with a task to use as a criteria
    `AuditTaskQueryBuilder` | `taskName​(String... name)` | Specify one or more task names to use as a criteria.
    `AuditTaskQueryBuilder` | `taskParentId​(long... parentId)` | Specify one or more (task) parent ids to use as a criteria
    `AuditTaskQueryBuilder` | `taskStatus​(org.kie.api.task.model.Status... status)` | Specify one or more task statuses to use as a criteria.
    `AuditTaskQueryBuilder` | `workItemId​(long... workItemId)` | Specify one or more (task-related) work item ids to use as a criteria.

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.task.query.TaskAuditQueryBuilder

      `id, taskId, taskIdRange`

- - ### Method Detail

    - #### processId

          AuditTaskQueryBuilder processId​(String... processId)

      Specify one or more process (definition) id's as criteria in the query
      Parameters:
        `processId` - one or more process ids
      Returns:
        The current query builder instance

    - #### taskStatus

          AuditTaskQueryBuilder taskStatus​(org.kie.api.task.model.Status... status)

      Specify one or more task statuses to use as a criteria.
      Parameters:
        `status` - one or more task statuses
      Returns:
        The current query builder instance

    - #### actualOwner

          AuditTaskQueryBuilder actualOwner​(String... actualOwnerUserId)

      Specify one or more user ids to use as a criteria for the actual owner of the task as logged in the task event
      Parameters:
        `actualOwnerUserId` - one or more (string) user ids
      Returns:
        The current query builder instance

    - #### deploymentId

          AuditTaskQueryBuilder deploymentId​(String... deploymentId)

      Specify one or more deployment ids to use as a criteria
      Parameters:
        `deploymentId` - one or more (string) deployment ids
      Returns:
        The current query builder instance

    - #### createdOn

          AuditTaskQueryBuilder createdOn​(Date... createdOn)

      Specify one or more dates to use as a criteria for the created-on date of a task as logged in the task event
      Parameters:
        `createdOn` - one or more dates
      Returns:
        The current query builder instance

    - #### createdOnRange

          AuditTaskQueryBuilder createdOnRange​(Date createdOnMin,
                                               Date createdOnMax)

      Specify an inclusive range of created-on dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `createdOnMin` - the minimal (lower) date to use in the range
        `createdOnMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### taskParentId

          AuditTaskQueryBuilder taskParentId​(long... parentId)

      Specify one or more (task) parent ids to use as a criteria
      Parameters:
        `parentId` - one or more longs
      Returns:
        The current query builder instance

    - #### createdBy

          AuditTaskQueryBuilder createdBy​(String... createdByUserId)

      Specify one or more user ids to use as a criteria for the creator of the task as logged in the task event
      Parameters:
        `createdByUserId` - one or more (string) user ids
      Returns:
        The current query builder instance

    - #### activationTime

          AuditTaskQueryBuilder activationTime​(Date... activationTime)

      Specify one or more dates to use as a criteria for the activation time of the task as logged in the task event
      Parameters:
        `activationTime` - one or more dates
      Returns:
        The current query builder instance

    - #### activationTimeRange

          AuditTaskQueryBuilder activationTimeRange​(Date activationTimeMin,
                                                    Date activationTimeMax)

      Specify an inclusive range of (task) activation-time dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `activationTimeMin` - the minimal (lower) date to use in the range
        `activationTimeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### description

          AuditTaskQueryBuilder description​(String... description)

      Specify one or more task description to use as a criteria.
      Parameters:
        `description` - one or more description string
      Returns:
        The current query builder instance

    - #### priority

          AuditTaskQueryBuilder priority​(int... priority)

      Specify one or more (task) priorities to use as a criteria.
      Parameters:
        `priority` - one or more ints
      Returns:
        The current query builder instance

    - #### taskName

          AuditTaskQueryBuilder taskName​(String... name)

      Specify one or more task names to use as a criteria.
      Parameters:
        `name` - one or more string
      Returns:
        The current query builder instance

    - #### processSessionId

          AuditTaskQueryBuilder processSessionId​(long... processSessionId)

      Specify one or more process session ids associated with a task to use as a criteria
      Parameters:
        `processSessionId` - one or more process session ids
      Returns:
        The current query builder instance

    - #### dueDate

          AuditTaskQueryBuilder dueDate​(Date... dueDate)

      Specify one or more (task) due dates to use as a criteria for the activation time of the task as logged in the task event
      Parameters:
        `dueDate` - one or more dates
      Returns:
        The current query builder instance

    - #### dueDateRange

          AuditTaskQueryBuilder dueDateRange​(Date dueDateMin,
                                             Date dueDateMax)

      Specify an inclusive range of (task) due dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `dueDateMin` - the minimal (lower) date to use in the range
        `dueDateMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### workItemId

          AuditTaskQueryBuilder workItemId​(long... workItemId)

      Specify one or more (task-related) work item ids to use as a criteria.
      Parameters:
        `workItemId` - one or more long work item ids
      Returns:
        The current query builder instance

    - #### ascending

          AuditTaskQueryBuilder ascending​(AuditTaskQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          AuditTaskQueryBuilder descending​(AuditTaskQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder